#declare StairArch1 =
difference {
	prism {
	0,15,
	10,
	<-4,-4>,<4,-4>,<4,4>,<-4,4>,<-4,-4>,
	<-2.5,-2.5>,<2.5,-2.5>,<2.5,2.5>,<-2.5,2.5>,<-2.5,-2.5>
		}
	box {<-4.1,-0.1,-2.5>,<4.1,8,2.5>}
	box {<-2.5,-0.1,-4.1>,<2.5,8,4.1>}
	cylinder {<-4.1,8,0>,<4.1,8,0>,2.5}
	cylinder {<0,8,-4.1>,<0,8,4.1>,2.5}
	texture { DarkStone }
	}

#declare AR1 =
intersection {
	torus {2.5,0.2 rotate <90,0,0>}
	box{<-2.7,0,-0.2>,<2.7,2.7,0.2>}
	}

#declare StairArch =
union {
	object { StairArch1 }
	cylinder {<4,0,4>,<4,15,4>,0.2}
	cylinder {<-4,0,4>,<-4,15,4>,0.2}
	cylinder {<4,0,-4>,<4,15,-4>,0.2}
	cylinder {<-4,0,-4>,<-4,15,-4>,0.2}
	cylinder {<4,0,-2.5>,<4,8,-2.5>,0.2}
	cylinder {<4,0,2.5>,<4,8,2.5>,0.2}
	cylinder {<-4,0,-2.5>,<-4,8,-2.5>,0.2}
	cylinder {<-4,0,2.5>,<-4,8,2.5>,0.2}
	cylinder {<2.5,0,-4>,<2.5,8,-4>,0.2}
	cylinder {<-2.5,0,-4>,<-2.5,8,-4>,0.2}
	cylinder {<2.5,0,4>,<2.5,8,4>,0.2}
	cylinder {<-2.5,0,4>,<-2.5,8,4>,0.2}

	object { AR1 rotate <0,90,0> translate <4,8,0> }
	object { AR1 translate <0,8,-4> }
	object { AR1 rotate <0,90,0> translate <-4,8,0> }
	object { AR1 translate <0,8,4> }
	texture { LightStone }
	}

#local strxCoord = 6.5;
#local stryCoord = 0;
#local strzCoord = -3;

#declare TheStepRails =
union {
#while ( stryCoord > - 22 )
	cylinder {<strxCoord-1,stryCoord-1,-3>,<strxCoord-1,stryCoord+3,-3>, 0.1}
	cylinder {<strxCoord-1,stryCoord-1,3>,<strxCoord-1,stryCoord+3,3>, 0.1}
	sphere {<strxCoord-1,stryCoord+3.2,-3>, 0.2}
	sphere {<strxCoord-1,stryCoord+3.2,3>, 0.2}

	sphere {<strxCoord-1,stryCoord,3>, 0.3 texture { LightStone }}
	sphere {<strxCoord-1,stryCoord,-3>, 0.3 texture { LightStone }}

	#local stryCoord = stryCoord - 1;
	#local strxCoord = strxCoord + 1.5;
#end
	cylinder {<4,4,-3>,<38,-18.5,-3>, 0.1}
	cylinder {<4,4,3>,<38,-18.5,3>, 0.1}
	sphere {<38,-18.5,3>, 0.15}
	sphere {<38,-18.5,-3>, 0.15}
	texture { Rails }
	}

////////////

#declare stRimmers =
union {
	cylinder {<14,-23,-3.5>,<14,-12,-3.5>,0.2}
	intersection {
		torus {5,0.2}
		box {<-5.2,-0.2,0>,<5.2,0.2,5.2>}
		rotate <-90,0,0>
		translate <9,-12,-3.5>
		}

	cylinder {<16,-23,-3.5>,<16,-16,-3.5>,0.2}
	cylinder {<22,-23,-3.5>,<22,-16,-3.5>,0.2}
	intersection {
		torus {3,0.2}
		box {<-3.2,-0.2,0>,<3.2,0.2,3.2>}
		rotate <-90,0,0>
		translate <19,-16,-3.5>
		}

	cylinder {<24,-23,-3.5>,<24,-19,-3.5>,0.2}
	cylinder {<28,-23,-3.5>,<28,-19,-3.5>,0.2}
	intersection {
		torus {2,0.2}
		box {<-2.2,-0.2,0>,<2.2,0.2,2.2>}
		rotate <-90,0,0>
		translate <26,-19,-3.5>
		}
	texture { vDarkStone }
	}

#local stY = 23;
#local stX = 0.5;

#declare stStairys =
difference {
	prism {
	-3.5,3.5,
	58,
	<0,23>,
#while(stY > 1.5)
	<stX,stY>,
	#local stX = stX + 1.5;
	<stX,stY>,
	#local stY = stY - 1;	
#end
	<stX,stY>,
	<24,0>,<24,4>,<20,4>,<20,0>,
	<18,0>,<18,7>,<12,7>,<12,0>,
	<10,0>,<10,11>,<0,11>,
	<0,23>
		}
	cylinder {<5,-3.51,11>,<5,3.51,11>,5}
	cylinder {<15,-3.51,7>,<15,3.51,7>,3}
	cylinder {<22,-3.51,4>,<22,3.51,4>,2}
	rotate <-90,0,0>
	translate <4,-23,0>
	}

//////////

#declare ArRails1 =
union {
	object { SineWave(-4,0,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}
	object { SineWave(-4,120,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}
	object { SineWave(-4,240,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}

	object { SineWave(-4,60,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}
	object { SineWave(-4,180,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}
	object { SineWave(-4,300,2.5,2,36,0.15) rotate <0,-90,0> translate <3.5,2.25,-36>}
	}

#local strzCoord2 = -6;

#local stBrR = 5;

#declare Stairs =
union {
	object { StairArch }
	object { TheStepRails }
	object { stRimmers }
	object { stStairys }
	object { TheStepRails rotate <0,180,0> }
	object { stRimmers rotate <0,180,0> translate <0,0,-7> }
	object { stStairys rotate <0,180,0> }

	cylinder {<3,4,3>,<-3,4,3>, 0.15 texture { Rails }}
	cylinder {<3,2,3>,<-3,2,3>, 0.15 texture { Rails }}
#while ( strzCoord > -40 )
	#local strzCoord = strzCoord - 3;
#end
	box {<-4.5,-2,5>,<4.5,0,-40> 
		texture {
		average
		texture_map {
			[1 Bricky2 rotate <90,0,0>]
			[0.15 Bljr]
				}
			}
		}

	box {<-3.5,0,4>,<3.5,0.01,-40> texture { WalkCheck rotate <0,90,0> translate <0,0,1>}}

	box {<-4,-23,5>,<4,-2,0> }

	cylinder {<4.5,0,5>,<4.5,0,-40>,0.2 texture { vDarkStone }}
	cylinder {<4.5,-2,5>,<4.5,-2,-40>,0.2 texture { vDarkStone }}
	cylinder {<-4.5,0,5>,<-4.5,0,-40>,0.2 texture { vDarkStone }}
#while (stBrR > -40)
	cylinder {<4.5,-2,stBrR>,<4.5,0,stBrR>,0.1 texture { vDarkStone }}
	#local stBrR = stBrR - 1.25;
#end


	object { ArRails1 }
	object { ArRails1 translate <-7,0,0> }

#while ( strzCoord2 > -40 )
	cylinder {<3.5,0,strzCoord2>,<3.5,4.5,strzCoord2>,0.2 texture { Rails }}
	cylinder {<-3.5,0,strzCoord2>,<-3.5,4.5,strzCoord2>,0.2 texture { Rails }}
	sphere {<-3.5,0,strzCoord2>,0.3 texture { LightStone } }
	sphere {<3.5,0,strzCoord2>,0.3 texture { LightStone } }
	#local strzCoord2 = strzCoord2 - 5.3333333333;
#end

	texture {
	average
	texture_map {
		[1 Bricky2 translate <0,-1,0>]
		[0.15 Bljr]
			}
		}
	}
